# SENTInitializationResult

```objectivec
@interface SENTInitializationResult : NSObject

/// Boolean representing success or failure.
@property (nonatomic) BOOL isSuccessful;

/// Failure reason in case of non-successful SDK initialization.
@property (nonatomic) SENTInitializationFailureReason failureReason;

/// Array of errors which may happen during the SDK initialization. 
/// Failure reason will be set to SENTInitializationFailureReasonInternalInconsistency
@property (nonatomic, nullable) NSArray<NSError *> *errors;

+ (instancetype)initWithSuccess;
+ (instancetype)initWithFailureReason:(SENTInitializationFailureReason)reason;

@end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/sentinitializationresult.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
